package com.ss.android.ugc.aweme.account.task;

import X.46i;
import X.C22428Zd;
import X.C22438Ze;
import X.C25518ec;
import X.C42869Ft;
import X.C42909Fx;
import X.C47169Wh;
import X.C47189Wj;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.IAccountUserService;
import java.util.List;
import kotlin.h.b.n;

public final class CookieMonitorTask implements C22438Ze {
    public static boolean LIZ;
    public static final C47189Wj LIZIZ = new C47189Wj((byte) 0);

    static {
        Covode.recordClassIndex(52176);
    }

    public final boolean meetTrigger() {
        return true;
    }

    public final String prefix() {
        return "task_";
    }

    public final boolean serialExecute() {
        return false;
    }

    public final int targetProcess() {
        return 1048575;
    }

    public final List triggerOtherLegoComponents() {
        return null;
    }

    public final C42869Ft triggerType() {
        return C22428Zd.LIZ(this);
    }

    public final C42909Fx scenesType() {
        return C42909Fx.DEFAULT;
    }

    public final C25518ec type() {
        return C25518ec.IDLE;
    }

    public final String key() {
        return getClass().getSimpleName();
    }

    public final void run(Context context) {
        if (!LIZ) {
            LIZ = true;
            IAccountUserService LJFF = 46i.LJFF();
            n.LIZIZ(LJFF, "");
            if (LJFF.isLogin()) {
                C47169Wh.LIZ.LIZ(1);
            }
        }
    }
}
